Page MenuHomePhabricator

copies: directly pass a changes object to the copy tracing code
ClosedPublic

Authored by marmoute on Sep 28 2020, 12:32 PM.

Details

Summary

The object contains all the data we need. For example, the is_merged callback
can now use the associated precomputed data.

This will be useful again soon when the salvaged set will be introduce to
solve the issue with delete file reverted during a merge. See 4b582a93316a and
14be07d5603c for details.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Sep 28 2020, 12:32 PM
Alphare accepted this revision.Oct 2 2020, 4:47 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/copies.py
174

I'd suggest "returns a function that returns the following data given a <rev>"

178

/s/ChangingGiles/ChangingFiles/

marmoute updated this revision to Diff 22989.Oct 2 2020, 5:08 AM
pulkit accepted this revision.Oct 6 2020, 4:24 AM
This revision is now accepted and ready to land.Oct 6 2020, 4:24 AM